Sync template documents

Sync the latest template styles and layout changes to pre-existing template documents

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API request uses a paginated approach for updating the template documents. You will need to make the request for each of the "pages" returned in the response object.

For instance, see the example response below:

{
  "page": 1,
  "pages": 4,
  "total": 1000
}

In order to properly update all associated documents you will need to call this API route 4 times in order to page through all the documents associated with the template.

Response

KeyDescription
pageRepresents the current page of documents that were successfully synced with the template
pagesRepresents the total number of document pages. Each page could represent a total of 250 documents, or whatever you value you set as the limit.
totalRepresents the total number of documents associated with the template.
Path Params
string
required

The template identifier

Body Params
int32
Defaults to 250

The number of template documents to update with this request.

int32
required
Defaults to 1

An integer for use with update pagination. For instance, if limit is set to 25 and you set page to 2 then results 26-50 will be updated.

Headers
string

Supports both API Key and User Access Token authorization. See https://docs.joyfill.io/docs/authentication

Response

Language
LoadingLoading…
Response
Choose an example:
application/json